Summary:	Synchronize calendars and contacts
Name:		vdirsyncer
Version:	0.18.0
Release:	1
License:	BSD
Group:		Applications/System
Source0:	https://github.com/pimutils/vdirsyncer/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	eb98a5d740576284fb7f275157274de0
URL:		https://vdirsyncer.pimutils.org/
BuildRequires:	python3
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools_scm
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vdirsyncer is a command-line tool for synchronizing calendars and
addressbooks between a variety of servers and the local filesystem.
The most popular usecase is to synchronize a server with a local
folder and use a set of other programs to change the local events and
contacts. Vdirsyncer can then synchronize those changes back to the
server.

However, vdirsyncer is not limited to synchronizing between clients
and servers. It can also be used to synchronize calendars and/or
addressbooks between two servers directly.

%prep
%setup -q

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGELOG.rst CONTRIBUTING.rst LICENSE README.rst config.example
%attr(755,root,root) %{_bindir}/%{name}
%{py3_sitescriptdir}/%{name}
%{py3_sitescriptdir}/%{name}-%{version}-py3*.egg-info
%changelog
* Wed Dec 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vdirsyncer.git;a=log;h=master

* Mon Dec 06 2021 Jan Palus <atler@pld-linux.org> 3ec29e9
- new

